Bug 129638 - Wrong Page Direction in Print UI
Summary: Wrong Page Direction in Print UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.3.0 target:7.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2019-12-27 04:39 UTC by Jack Lin
Modified: 2022-02-01 03:01 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
2nd uploaded (286.85 KB, application/x-zip-compressed)
2019-12-28 04:39 UTC, Jack Lin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Lin 2019-12-27 04:39:48 UTC
1st page is "portrait" , and print UI shows "portrait" in size
2nd page is "landscape", BUT print UI shows "PORTRAIT" in size

When printout, 1st page is "portrait", 2nd page is "landscape, they are correct.
Comment 1 Xisco Faulí 2019-12-27 15:40:46 UTC
I can't reproduce it in

Version: 6.5.0.0.alpha0+
Build ID: 1abfc8e2f677024ea058e96f3133e503ba89ea02
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Could you please record a screenshot of the problem ?
Comment 2 Jack Lin 2019-12-28 04:36:29 UTC Comment hidden (no-value)
Comment 3 Jack Lin 2019-12-28 04:39:20 UTC
Created attachment 156804 [details]
2nd uploaded

Step1. Open the file "ErrorInUI.ods", there are two worksheets "Order" & "Marks", select both worksheets "Order" & "Marks" to be printed. (fig01A)

Step2. Use "open", "Print" to print these two  worksheets "Order" & "Marks", then
Screen shows as (Fig02A). It display the preview of first worksheet "Order". it is portrait direction - no problem.

Step3. at the current screen, use the mouse click next page (fig2A makred with small red circle at bottom). then the left panel display the preview of second worksheet "Marks". it is also the "portrait" direction - but actually this page should be "landscape" (Fig03A)

Step4. Prin out the file show in (fig04A), It show the worksheet "Marks" (page 2) is the "landscape" direction - not the "portrait" direction shown as (Fig03A)
Comment 4 QA Administrators 2019-12-29 03:29:01 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2020-04-29 18:12:18 UTC
Bibisected with win32-6.3 to https://git.libreoffice.org/core/+/2c23a96f7b6888c0e05fdc2aba57f03cd797b647%5E!/

tdf#67905 adds an option to disable print preview in print dialog

Dev doesn't seem active anymore, so not adding to Cc
Comment 6 Justin L 2021-11-23 06:34:27 UTC
repro 7.3+
Comment 7 Justin L 2021-11-23 07:57:48 UTC
OK - even funnier. Switch back to the first page view. Now the first page is shown in landscape (it should be portrait), but the second page always shows as portrait (it should be landscape).

Proposed fix at http://gerrit.libreoffice.org/c/core/+/125685
Comment 8 Commit Notification 2021-11-23 10:05:46 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/324daa38a823477e1d1b650b5d91f3dc91c6a9af

tdf#129638 print preview: use new paper size after switching page

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-11-24 02:04:45 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/6809461add683eaa49a11530445c1f4c4b3d8fe8

tdf#129638 print preview: use new paper size after switching page

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Christian Lohmaier 2021-12-06 13:28:48 UTC
7.2.4 was a hotfix release, updating target in status-whiteboard